#!/usr/bin/python3
# -*- coding: utf-8 -*-
#******************************************************************************
# ZYNTHIAN PROJECT: Zynthian GUI
# 
# Zynthian GUI Option Selector Class
# 
# Copyright (C) 2015-2020 Fernando Moyano <jofemodo@zynthian.org>
#
#******************************************************************************
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# For a full copy of the GNU General Public License see the LICENSE.txt file.
# 
#******************************************************************************

import sys
import logging

# Zynthian specific modules
from . import zynthian_gui_selector

#------------------------------------------------------------------------------
# Zynthian Option Selection GUI Class
#------------------------------------------------------------------------------

class zynthian_gui_option(zynthian_gui_selector):

    def __init__(self, parent = None):
        super(zynthian_gui_option, self).__init__('Option', parent)
        self.title = ""
        self.options = []
        self.cb_select = None


    def config(self, title, options, cb_select):
        self.title = title
        self.options = options
        self.cb_select = cb_select


    def fill_list(self):
        i=0
        self.list_data=[]
        for k,v in self.options.items():
            self.list_data.append((v,i,k))
            i += 1
        super().fill_list()


    def select_action(self, i, t='S'):
        if self.cb_select:
            self.cb_select(self.list_data[i][0])


    def set_select_path(self):
        self.select_path = self.title
        super().set_select_path()

#------------------------------------------------------------------------------
